package basicsWidgets;

import org.eclipse.swt.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.graphics.*;
/**
 * 
 * @author jjoller
 *
 * Label Demo zeigt, wie man das Label Widget in SWT
 * verwenden kann.
 * SWT = Standard Widget Toolkit von Eclipse
 */
public class LabelDemo {

	public static Display labelDisplay;
	public static boolean internalCall = false;

	public static void main(String[] args) {
		internalCall = true;
		labelDisplay = new Display();
		LabelDemo ld = new LabelDemo();
		ld.runDemo(labelDisplay);
	}

	public void runDemo(Display display) {
		labelDisplay = display;
		Shell shell = new Shell(display);
		shell.setSize(300,300);
		shell.setText("Label Demo");

		Label borderLabel = new Label(shell, SWT.BORDER);
		borderLabel.setText("Label 1 : SWT.BORDER");
		borderLabel.setSize(150,20);
		borderLabel.setLocation(30,30);

		Label sep = new Label(shell, SWT.SEPARATOR| SWT.HORIZONTAL | SWT.SHADOW_OUT);
		sep.setBounds(30,60,100,20);

		Label label2 = new Label(shell, SWT.NONE);
		label2.setText("Label 2 : SWT.NONE");
		label2.setSize(150,20);
		label2.setLocation(30,90);

		Label sep2 = new Label(shell, SWT.SEPARATOR | SWT.HORIZONTAL);
		sep2.setBounds(30,120,100,20);

		Label label3 = new Label(shell, SWT.NONE);
		label3.setSize(200,20);
		label3.setLocation(30,150);
		label3.setBackground(new Color(display,200,111,50));
		label3.setText("Label 3 : SWT.NONE mit Background Color");

		shell.open();

		while(!shell.isDisposed()){
		if(!display.readAndDispatch())
			display.sleep();
		}
		if (internalCall) display.dispose();
	}
}
